OCC Main Page | ApplicationFramework | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# ApplicationFramework
TKLCAF
TDocStd

# TDocStd_LabelIDMapDataMap Class Reference

`#include <TDocStd_LabelIDMapDataMap.hxx>`

## Public Member Functions
void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | TDocStd_LabelIDMapDataMap (const Standard_Integer NbBuckets=1)
Standard_EXPORT TDocStd_LabelIDMapDataMap & | Assign (const TDocStd_LabelIDMapDataMap &Other)
TDocStd_LabelIDMapDataMap & | operator= (const TDocStd_LabelIDMapDataMap &Other)
Standard_EXPORT void | ReSize (const Standard_Integer NbBuckets)
Standard_EXPORT void | Clear ()
| ~TDocStd_LabelIDMapDataMap ()
Standard_EXPORT Standard_Boolean | Bind (const TDF_Label &K, const TDF_IDMap &I)
Standard_EXPORT Standard_Boolean | IsBound (const TDF_Label &K) const
Standard_EXPORT Standard_Boolean | UnBind (const TDF_Label &K)
Standard_EXPORT const TDF_IDMap & | Find (const TDF_Label &K) const
const TDF_IDMap & | operator() (const TDF_Label &K) const
Standard_EXPORT TDF_IDMap & | ChangeFind (const TDF_Label &K)
TDF_IDMap & | operator() (const TDF_Label &K)
## Private Member Functions
Standard_EXPORT | TDocStd_LabelIDMapDataMap (const TDocStd_LabelIDMapDataMap &Other)

## Constructor & Destructor Documentation

Standard_EXPORT TDocStd_LabelIDMapDataMap::TDocStd_LabelIDMapDataMap | ( | const Standard_Integer | NbBuckets = `1` | ) |

TDocStd_LabelIDMapDataMap::~TDocStd_LabelIDMapDataMap | ( |  | ) | `[inline]`

Standard_EXPORT TDocStd_LabelIDMapDataMap::TDocStd_LabelIDMapDataMap | ( | const TDocStd_LabelIDMapDataMap & | Other | ) | `[private]`

## Member Function Documentation

Standard_EXPORT TDocStd_LabelIDMapDataMap& TDocStd_LabelIDMapDataMap::Assign | ( | const TDocStd_LabelIDMapDataMap & | Other | ) |

Standard_EXPORT Standard_Boolean TDocStd_LabelIDMapDataMap::Bind | ( | const TDF_Label & | K,
|  | const TDF_IDMap & | I
| ) |

Standard_EXPORT TDF_IDMap& TDocStd_LabelIDMapDataMap::ChangeFind | ( | const TDF_Label & | K | ) |

Standard_EXPORT void TDocStd_LabelIDMapDataMap::Clear | ( |  | ) |

Standard_EXPORT const TDF_IDMap& TDocStd_LabelIDMapDataMap::Find | ( | const TDF_Label & | K | ) | const

Standard_EXPORT Standard_Boolean TDocStd_LabelIDMapDataMap::IsBound | ( | const TDF_Label & | K | ) | const

void TDocStd_LabelIDMapDataMap::operator delete | ( | void * | anAddress | ) | `[inline]`

void* TDocStd_LabelIDMapDataMap::operator new | ( | size_t | size | ) | `[inline]`

void* TDocStd_LabelIDMapDataMap::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

TDF_IDMap& TDocStd_LabelIDMapDataMap::operator() | ( | const TDF_Label & | K | ) | `[inline]`

const TDF_IDMap& TDocStd_LabelIDMapDataMap::operator() | ( | const TDF_Label & | K | ) | const`[inline]`

TDocStd_LabelIDMapDataMap& TDocStd_LabelIDMapDataMap::operator= | ( | const TDocStd_LabelIDMapDataMap & | Other | ) | `[inline]`

Standard_EXPORT void TDocStd_LabelIDMapDataMap::ReSize | ( | const Standard_Integer | NbBuckets | ) |

Standard_EXPORT Standard_Boolean TDocStd_LabelIDMapDataMap::UnBind | ( | const TDF_Label & | K | ) |

The documentation for this class was generated from the following file:

- TDocStd_LabelIDMapDataMap.hxx